package com.ruoyi.system.utils.jsch;

import java.util.stream.Collector;
import java.util.stream.Collectors;
import java.util.Arrays;
import java.util.ArrayList;
import java.util.List;
import com.ruoyi.system.domain.SnServer;

public class GeneratedSSLUtil
{
    public static List<String> readNames(final SnServer server, final String domain) {
        final ServiceShell shell = new ServiceShell();
        List<String> list = new ArrayList<String>();
        try {
            shell.connect(server.getIp(), server.getUserName(), server.getDePassword(), (int)server.getPort());
            final String returnLog = shell.executeCommand("sudo ls /etc/letsencrypt/archive/" + domain);
            final String[] arrs = returnLog.split("\n");
            list = Arrays.stream(arrs).filter(tmp -> tmp.contains("fullchain")).collect((Collector<? super String, ?, List<String>>)Collectors.toList());
            shell.disconnect();
        }
        catch (final Exception e) {
            shell.disconnect();
        }
        return list;
    }
}
